<div class="summary-page">
  <div class="main-content">
    <div class="main-content__leftside">
      <electric-sidebar-left [type]="'summary'" [inputSamples]="sampleList" [wells]="wellList"></electric-sidebar-left>
    </div>
    <!-- end /main-content__leftside -->
    <div class="right-page" perfectScrollbar>
      <div class="cover-content">
        <div class="item-detail" *ngFor="let item of listSummary">
          <div class="top-detail">
            <span class="dark-name">Well {{ item.wellName }}</span>
            <span class="light-name">{{ item.sampleID }}</span>
          </div>
          <div class="second-detail">
            <div class="box-res">
              <span class="title-box">Current reservoir (I, Reservoir)</span>
              <ul class="list-title">
                <li>
                  <span class="title-list">I res 1</span>
                </li>
                <li>
                  <span class="title-list">I res 1*</span>
                </li>
                <li>
                  <span class="title-list">I res 2</span>
                </li>
                <li>
                  <span class="title-list">I res 2*</span>
                </li>
              </ul>
              <ul class="list-content">
                <li *ngFor="let reservoir of item.currentReservoir">
                  <ul class="list-detail">
                    <li>
                      <span class="number">{{ reservoir.iRes1 | number: '1.2-2' }}</span>
                    </li>
                    <li>
                      <span class="number">{{ reservoir.iRes1 | number: '1.2-2' }}</span>
                    </li>
                    <li>
                      <span class="number">{{ reservoir.iRes2 }}</span>
                    </li>
                    <li>
                      <span class="number">{{ reservoir.iRes2 }}</span>
                    </li>
                  </ul>
                </li>
              </ul>
            </div>
            <!-- end/box res -->
            <div class="box-resv">
              <ul class="list-title">
                <li>
                  <span class="title-box">m resv</span>
                </li>
              </ul>
              <!-- end/list title -->
              <ul class="list-content">
                <li>
                  <ul class="list-sub">
                    <li>
                      <span class="black-num">{{ item.mResv[0].value }}</span>
                      <span class="sub-num">{{ item.mResv[1].value }}</span>
                    </li>
                  </ul>
                </li>
              </ul>
            </div>
            <!-- end/box resv -->
            <div class="box-format">
              <ul class="list-title">
                <li>
                  <span class="title-box">Formation Factor</span>
                </li>
                <li>
                  <span class="title-box">Porosity Exponent</span>
                </li>
              </ul>
              <!-- end/list title -->
              <ul class="list-content">
                <li>
                  <ul class="list-sub">
                    <li *ngFor="let factor of item.formationFactor">
                      <p class="text-list">
                        <span class="tempera-text">{{ factor.label }}</span>
                        <span class="black-text">{{ factor.value | number: '1.2-2' }}</span>
                        <span class="sub-text">{{ factor.value | number: '1.2-2' }}</span>
                      </p>
                    </li>
                  </ul>
                </li>
                <li>
                  <ul class="list-sub">
                    <li *ngFor="let exponent of item.porosityExponent">
                      <p class="text-list">
                        <span class="tempera-text">{{ exponent.label }}</span>
                        <span class="black-text">{{ exponent.value | number: '1.2-2' }}</span>
                        <span class="sub-text">{{ exponent.value | number: '1.2-2' }}</span>
                      </p>
                    </li>
                  </ul>
                </li>
              </ul>
              <!-- end/list content -->
            </div>
            <!-- end/box format -->
          </div>
          <!-- end/second detail -->
          <a href="javascript:;" class="click-export" (click)="openDialogExport(item)">Export</a>
        </div>
        <!-- end/item detail  -->
      </div>
      <!-- end/cover content -->
    </div>
    <!-- end/right page -->
    <div class="content-loading" *ngIf="isLoading">
      <gng-spinner></gng-spinner>
    </div>
  </div>
  <!-- end /main-content -->
</div>
<!-- summary page -->
